Skip to main content
GET
/
api
/
v1
/
member_requests
/
{request_id}
Get a single Member Request
curl --request GET \
  --url https://fulfillment.noyo.com/api/v1/member_requests/{request_id} \
  --header 'Authorization: Bearer <token>'
{
  "body": {
    "employee_id": "6dc22bed-27fc-458c-b732-bdaf5b5a1031",
    "last_work_date": "2018-01-15",
    "reason": "voluntary"
  },
  "completed": 1557565200,
  "created": 1557512389,
  "employee_id": "30b74a44-d5b1-4123-a7a4-6d3aec251ba4",
  "id": "dd9a1813-34f7-4c7e-86bc-f041f2cbd9a1",
  "modified": 1557565200,
  "request_type": "termination",
  "status": "processing",
  "transactions": [
    "f4ecdaa5-e019-4a24-98c7-2caee9a58ccd"
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.noyo.com/llms.txt

Use this file to discover all available pages before exploring further.

The Member Request workflow is now deprecated in favor of using Member Snapshot

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

request_id
string<uuid>
required

The unique identifier of the member request you would like to view

Example:

"dd9a1813-34f7-4c7e-86bc-f041f2cbd9a1"

Response

200 - application/json

Successful Response - Returns a single Member Request

body
object
required

Data required to execute a member request, varies depending on the request type

created
integer
required

The date the record was created

employee_id
string<uuid>
required
read-only

Unique identifier of the employee in Noyo

id
string<uuid>
required

Unique identifier of the record in Noyo

modified
integer
required

The date the record was last updated

request_type
enum<string>
required

Transaction type for the member request

Available options:
demographic,
new_hire,
termination,
open_enrollment,
qualifying_life_event,
enrollment_snapshot,
cobra_enrollment,
cobra_termination,
cobra_open_enrollment,
cobra_qualifying_life_event
result
object
required

Result from executing the member request, varies depending on the request type

status
enum<string>
required

Status of the member request

Available options:
processing,
completed,
failed,
canceled
version
string<uuid>
required

Current version of the record

completed
integer
read-only

Timestamp indicating when a member request was marked as completed

transactions
string<uuid>[]

List of unique identifiers of all associated member transactions in Noyo